/** testimonial-section **/

.testimonial-section {
  position: relative;
}

.testimonial-section .title-inner {
  position: relative;
  max-width: 350px;
}

.testimonial-section .title-inner .clients-list {
  position: relative;
  display: flex;
  align-items: center;
}

.testimonial-section .title-inner .clients-list li {
  position: relative;
  display: inline-block;
  width: 53px;
  height: 53px;
  border: 4px solid #fff;
  border-radius: 50%;
  margin-right: -20px;
}

.testimonial-section .title-inner .clients-list li img {
  width: 100%;
  border-radius: 50%;
}

.testimonial-section .testimonial-content {
  position: relative;
  display: block;
}

.testimonial-section .testimonial-content .author-box {
  position: relative;
  display: block;
  padding: 3px 0px 1px 120px;
  margin-bottom: 60px;
}

.testimonial-section .testimonial-content .author-box .thumb-box {
  position: absolute;
  display: inline-block;
  left: 0px;
  top: 0px;
  width: 90px;
  height: 90px;
  border-radius: 50%;
}

.testimonial-section .testimonial-content .author-box .thumb-box img {
  width: 100%;
  border-radius: 50%;
}

.testimonial-section .testimonial-content .author-box h4 {
  display: block;
  font-size: 19px;
  line-height: 25px;
  margin-bottom: 3px;
}

.testimonial-section .testimonial-content .author-box .designation {
  position: relative;
  display: block;
  font-size: 14px;
  line-height: 21px;
  margin-bottom: 6px;
}

.testimonial-section .testimonial-content .author-box .rating-list {
  position: relative;
  display: flex;
  align-items: center;
  gap: 5px;
}

.testimonial-section .testimonial-content .author-box .rating-list li {
  position: relative;
  display: inline-block;
  font-size: 18px;
  color: #ffc107;
}

.testimonial-section .shape {
  position: absolute;
  top: 0px;
  left: 100px;
  width: 109px;
  height: 116px;
  background-repeat: no-repeat;
}

/** testimonial-style-two **/

.testimonial-style-two {
  position: relative;
  background: #f8f8f8;
}

.testimonial-style-two .pattern-layer {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.testimonial-style-two .sec-title .sub-title {
  position: relative;
  display: inline-block;
  font-size: 14px;
  line-height: 21px;
  color: #fff;
  font-weight: 600;
  background: -webkit-linear-gradient(180deg, #fdbf8a, #fc8a29 100%);
  padding: 9px 16px;
  border-radius: 6px;
  text-transform: capitalize;
  margin-bottom: 35px;
}

.testimonial-block-one .inner-box {
  position: relative;
  display: block;
  background: #fff;
  border-radius: 12px;
  border: 1px solid #d9d9d9;
  padding: 50px 48px 45px 50px;
  margin-bottom: 30px;
}

.testimonial-block-one .inner-box .author-box {
  position: relative;
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 30px;
}

.testimonial-block-one .inner-box .author-box .thumb-box {
  position: relative;
  display: inline-block;
  border-radius: 50%;
}

.testimonial-block-one .inner-box .author-box .thumb-box img {
  width: 100%;
  border-radius: 50%;
}

.testimonial-block-one .inner-box .author-box h4 {
  position: relative;
  display: block;
  font-size: 19px;
  line-height: 25px;
  margin-bottom: 3px;
}

.testimonial-block-one .inner-box .author-box .designation {
  position: relative;
  display: block;
  font-size: 14px;
  line-height: 21px;
  font-weight: 500;
}

.testimonial-block-one .inner-box p {
  margin-bottom: 20px;
}

.testimonial-block-one .inner-box .rating {
  position: relative;
  display: flex;
  align-items: center;
  gap: 5px;
}

.testimonial-block-one .inner-box .rating li {
  position: relative;
  display: inline-block;
  font-size: 20px;
  color: #ffc107;
}

/** testimonial-style-three **/

.testimonial-style-three {
  position: relative;
}

.testimonial-style-three .owl-carousel .owl-stage-outer {
  overflow: visible;
}

.testimonial-style-three .owl-carousel .owl-stage-outer .owl-item {
  opacity: 0;
  visibility: hidden;
}

.testimonial-style-three .owl-carousel .owl-stage-outer .owl-item.active {
  opacity: 1;
  visibility: visible;
}

.testimonial-block-two .inner-box {
  position: relative;
  display: block;
  background: #fff;
  box-shadow: 0px 4px 45px 0px rgba(0, 0, 0, 0.06);
  border-radius: 12px;
  padding: 81px 50px 55px 50px;
  margin-bottom: 30px;
  transition: all 500ms ease;
}

.testimonial-block-two .inner-box:hover {
  box-shadow: none;
  background: rgba(245, 243, 254, 1);
}

.testimonial-block-two {
  margin-top: 32px;
}

.testimonial-block-two .inner-box .icon-box {
  position: absolute;
  display: inline-block;
  left: 50%;
  top: -32px;
  margin-left: -32px;
  width: 64px;
  height: 64px;
  line-height: 64px;
  background: #fff;
  text-align: center;
  border-radius: 50%;
  box-shadow: 0px 4px 45px 0px rgba(0, 0, 0, 0.05);
  font-size: 32px;
  color: #9680ef;
  transition: all 500ms ease;
}

.testimonial-block-two .inner-box:hover .icon-box {
  color: var(--theme-color);
}

.testimonial-block-two .inner-box p {
  margin-bottom: 45px;
  padding-bottom: 45px;
  border-bottom: 1px solid #d9d9d9;
}

.testimonial-block-two .inner-box h4 {
  display: block;
  font-size: 19px;
  line-height: 25px;
  margin-bottom: 3px;
}

.testimonial-block-two .inner-box .designation {
  position: relative;
  display: block;
  font-size: 14px;
  line-height: 21px;
  font-weight: 500;
}

/** testimonial-style-four **/

.testimonial-style-four {
  position: relative;
}

.testimonial-style-four .sec-title p {
  color: #164782;
  margin-bottom: 11px;
}

.three-item-carousel .owl-stage {
  display: flex;
}

.three-item-carousel .owl-item {
  display: flex;
}

.testimonial-block-three .inner-box {
  position: relative;
  display: block;
  border: 1px solid #d9d9d9;
  border-radius: 12px;
  padding: 55px 50px;
  margin-bottom: 30px;
  transition: all 500ms ease;
}

.testimonial-block-three .inner-box:hover {
  border-color: var(--theme-color);
}

.testimonial-block-three .inner-box .thumb-box {
  position: relative;
  display: inline-block;
  border-radius: 6px;
  margin-bottom: 35px;
}

.testimonial-block-three .inner-box .thumb-box img {
  width: 100px;
  height: 100px;
  border-radius: 50%;
}

.testimonial-block-three .inner-box h4 {
  display: block;
  font-size: 19px;
  line-height: 25px;
  margin-bottom: 3px;
  min-height: 60px; /* fix chiều cao để luôn đều */
}

.testimonial-block-three .inner-box .designation {
  position: relative;
  display: block;
  font-size: 14px;
  line-height: 21px;
  font-weight: 500;
  margin-bottom: 15px;
}

.testimonial-block-three .inner-box .rating {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
  margin-bottom: 27px;
}

.testimonial-block-three .inner-box .rating li {
  position: relative;
  display: inline-block;
  font-size: 18px;
  color: #ffc107;
}

.testimonial-block-three .inner-box p {
  color: var(--title-color);
  display: -webkit-box;
  -webkit-line-clamp: 4; /* số dòng muốn hiển thị */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: left;
  line-height: 1.7;
}

.testimonial-block-three .inner-box .flag-icon {
  width: 30px;
  height: 30px;
  margin: 2px auto;
  vertical-align: middle;
  border-radius: 2px;
}

.testimonial-block-three .inner-box:hover p {
  -webkit-line-clamp: unset;
  overflow: visible;
}

.testimonial-style-four .owl-theme .owl-dots {
  margin-top: 25px;
}

.testimonial-style-four .owl-theme .owl-dots .owl-dot span {
  display: none !important;
}

.testimonial-style-four .owl-theme .owl-dots button {
  position: relative;
  display: inline-block;
  width: 10px;
  height: 10px;
  background: #d9d9d9;
  border-radius: 50%;
  cursor: pointer;
  margin: 0px 5px;
  transition: all 500ms ease;
}

.testimonial-style-four .owl-theme .owl-dots button.active {
  background: #228b22;
  transform: scale(1.6);
}

.testimonial-style-four .owl-theme .owl-dots button:before {
  position: absolute;
  content: "";
  background: #fff;
  width: 4px;
  height: 4px;
  border-radius: 50%;
  left: 3px;
  top: 3px;
  opacity: 0;
  transition: all 500ms ease;
}

.testimonial-style-four .owl-theme .owl-dots button.active:before {
  opacity: 1;
}

/** rtl-css **/

/** responsive-css **/

@media only screen and (max-width: 1600px) {
}

@media only screen and (max-width: 1200px) {
}

@media only screen and (max-width: 991px) {
  .testimonial-section .title-inner {
    margin-bottom: 40px;
  }
}

@media only screen and (max-width: 767px) {
  .testimonial-section {
    padding-bottom: 65px;
  }

  .testimonial-section .shape {
    display: none;
  }

  .testimonial-style-two {
    padding: 70px 0px 40px 0px;
  }

  .testimonial-style-three {
    padding: 65px 0px 35px 0px;
  }

  .testimonial-style-four {
    padding: 65px 0px 40px 0px;
  }

  .testimonial-style-four .owl-theme .owl-dots {
    display: none;
  }

  .testimonial-block-three .inner-box {
    padding-left: 30px;
    padding-right: 30px;
  }
}

@media only screen and (max-width: 599px) {
  .testimonial-block-one .inner-box,
  .testimonial-block-two .inner-box {
    padding-left: 30px;
    padding-right: 30px;
  }
}

@media only screen and (max-width: 499px) {
}
